#16 Crash on OS X 10.2.8

closed-invalid
nobody
None
5
2005-05-30
2005-04-07
Anonymous
No

On my G3 PowerBook (PISMO) running 10.2.8 the program
starts and I even see a menu bar briefly, but then the
program crashes. Below is what appears in the console
program and attached is the crash log in case this will
help fix for 10.2 users.

Console.log:

Warning: Lisp directory
`/Volumes/Normandy/Applications/Document
Processing/Emacs.app/Contents/Resources/share/emacs/site-lisp'
does not exist.
2005-04-07 16:27:34.997 Emacs[1494] Loaded font '"CGS
Monaco 10.00 pt. P [] (0x01a6cc30) fobj=0x019b82a0,
spc=6.00"' of size 10.
2005-04-07 16:27:35.139 Emacs[1494] ***
-[NSConcreteGlyphGenerator
generateGlyphsForGlyphStorage:desiredNumberOfCharacters:glyphIndex:characterIndex:]:
selector not recognized
2005-04-07 16:27:35.141 Emacs[1494] Exception raised
during posting of notification. Ignored. exception:
*** -[NSConcreteGlyphGenerator
generateGlyphsForGlyphStorage:desiredNumberOfCharacters:glyphIndex:characterIndex:]:
selector not recognized
2005-04-07 16:27:35.801 Emacs[1494] ***
-[NSConcreteGlyphGenerator
generateGlyphsForGlyphStorage:desiredNumberOfCharacters:glyphIndex:characterIndex:]:
selector not recognized
2005-04-07 16:27:35.802 Emacs[1494] An uncaught
exception was raised
2005-04-07 16:27:35.802 Emacs[1494] ***
-[NSConcreteGlyphGenerator
generateGlyphsForGlyphStorage:desiredNumberOfCharacters:glyphIndex:characterIndex:]:
selector not recognized
2005-04-07 16:27:35.814 Emacs[1494] *** Uncaught
exception: <NSInvalidArgumentException> ***
-[NSConcreteGlyphGenerator
generateGlyphsForGlyphStorage:desiredNumberOfCharacters:glyphIndex:characterIndex:]:
selector not recognized
Apr 7 16:27:36 Roan-Hornings-Computer crashdump: Crash
report written to:
/Users/rhorning/Library/Logs/CrashReporter/Emacs.crash.log

Discussion

  • Adrian Robert

    Adrian Robert - 2005-04-09

    Logged In: YES
    user_id=146959

    This problem will occur with the binary, but should not occur if you compile
    from source. If you do this and the problem still shows up, please update
    this bug.

    In the next release, we'll try to either provide a 10.2/10.1 binary, or at least
    post that the 10.3+ binary won't work on these systems.

     
  • Adrian Robert

    Adrian Robert - 2005-04-09
    • status: open --> pending-postponed
     
  • Adrian Robert

    Adrian Robert - 2005-04-09
    • status: pending-postponed --> open-postponed
     
  • Adrian Robert

    Adrian Robert - 2005-05-30

    Logged In: YES
    user_id=146959

    Closing as invalid since a build from source should avoid
    this. Added mention on web site and in README-GNUSTEP.

    If anyone wants to contribute a binary please do!

     
  • Adrian Robert

    Adrian Robert - 2005-05-30
    • status: open-postponed --> closed-invalid
     

Log in to post a comment.